# eric4.KdeQt.KQMainWindow

Compatibility module to use the KDE main window instead of the Qt main window.

### Global Attributes

None

### Classes

KQMainWindow | Compatibility class for the main window.
KQMainWindow | Compatibility class for the main window.
__kdeKQMainWindow | Compatibility class to use KMainWindow.
__qtKQMainWindow | Compatibility class to use QMainWindow.

### Functions

None

## KQMainWindow

Compatibility class for the main window.

### Derived from

__kdeKQMainWindow

### Class Attributes

None

### Class Methods

None

### Methods

None

### Static Methods

None

Up

## KQMainWindow

Compatibility class for the main window.

### Derived from

__qtKQMainWindow

### Class Attributes

None

### Class Methods

None

### Methods

None

### Static Methods

None

Up

## __kdeKQMainWindow

Compatibility class to use KMainWindow.

### Derived from

KMainWindow

### Class Attributes

None

### Class Methods

None

### Methods

None

### Static Methods

None

Up

## __qtKQMainWindow

Compatibility class to use QMainWindow.

### Derived from

QMainWindow

### Class Attributes

None

### Class Methods

None

### Methods

None

### Static Methods

None

Up